Bug 399021 - ati mobility radeon external monitor no display out of range
ati mobility radeon external monitor no display out of range
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
http://www.linuxquestions.org/questio...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 22:39 EST by michael malik
Modified: 2009-01-09 02:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:29:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log.old (57.84 KB, application/octet-stream)
2007-11-27 16:52 EST, michael malik
no flags Details
/var/log/Xorg.0.log (46.60 KB, text/plain)
2007-11-27 16:54 EST, michael malik
no flags Details
/etc/X11/xorg.conf (817 bytes, application/octet-stream)
2007-11-27 16:55 EST, michael malik
no flags Details
Xorg.0.log after booting with VG181b external monitor attached, laptop cover closed. (62.38 KB, text/plain)
2007-12-04 20:13 EST, michael malik
no flags Details

  None (edit)
Description michael malik 2007-11-25 22:39:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.9) Gecko/20071025 Firefox/2.0.0.9

Description of problem:
When booting fc8 with a laptop docked and the lid closed, connected to an external monitor, there is no display or with some monitors it shows "out of range", even though the monitor is correctly specified in xorg.conf.  A comparison to fc6 and fc7 xorg.conf files confirms the configuration is correct (the fc6 and f7 both operate normally with external monitors).

Version-Release number of selected component (if applicable):
2.6.23.1-49.fc8

How reproducible:
Always


Steps to Reproduce:
1. Install f8 on a laptop with an ATI mobility radeon, set the xorg.conf correctly to support the external resolution and frequencies. 
2. Close lid on laptop and plug in external monitor.
3. Boot up and notice a blank screen after it switches on what would be the GUI.

Actual Results:
Blank screen on the external monitor.  If I hit <ctrl><alt><F2> I get a command prompt on the external display.  If I then try to startx it tells me X is already running.  If I hit <alt><F7> it goes back to a blank screen.  It is strange that the command prompt works fine on the external monitor, but the GUI will not display.

Expected Results:
The graphical mode should work on the external display.  It should sense the lid is closed and there is a monitor on the external port, and it should switch to that port and resolution/frequencies.

Additional info:
I'm not sure if this is a bug with the radeon driver, or with xorg, or maybe something else, but it seems to me like this is driver related.
Comment 1 Adam Jackson 2007-11-27 15:59:52 EST
Please attach the X log from this configuration, so we can see why it's failing.
Comment 2 Matěj Cepl 2007-11-27 16:16:55 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 michael malik 2007-11-27 16:52:14 EST
Created attachment 270311 [details]
/var/log/Xorg.0.log.old

Log file with external monitor attached (Dell 2001FP).
Comment 4 michael malik 2007-11-27 16:54:24 EST
Created attachment 270341 [details]
/var/log/Xorg.0.log

Log file without external monitor attached.
Comment 5 michael malik 2007-11-27 16:55:41 EST
Created attachment 270351 [details]
/etc/X11/xorg.conf

xorg.conf automatically created after booting without one.
Comment 6 michael malik 2007-11-27 17:00:50 EST
Ok, I have attached my current log files and xorg.conf.  This xorg.conf was
created after I booted without one (did this a few days ago for
troubleshooting), but the log files are from booting with this auto-generated
xorg.conf, which I have not changed.  Also, you may find the config files that
others are using on that linuxquestions.org link.  Thanks!
Comment 7 michael malik 2007-12-04 20:13:24 EST
Created attachment 277521 [details]
Xorg.0.log after booting with VG181b external monitor attached, laptop cover closed.

This is with a Viewsonic VG181b attached by VGA cable -- and it works fine. 
This is with the same xorg.conf as before.  I don't know why the Dell 2001FP
monitor will not work, but will work with FC6 & F7.  Thanks.
Comment 8 Bug Zapper 2008-11-26 03:41:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:29:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.